Last Comment Bug 665716 - build breaks when building SUTAgent with sdk level 11
: build breaks when building SUTAgent with sdk level 11
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: mozilla8
Assigned To: Brad Lassey [:blassey] (use needinfo?)
:
: Gregory Szorc [:gps]
Mentors:
Depends on:
Blocks: 676275
  Show dependency treegraph
 
Reported: 2011-06-20 14:34 PDT by Brad Lassey [:blassey] (use needinfo?)
Modified: 2011-08-11 04:38 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch to fix calls to setForeground in android (4.95 KB, patch)
2011-06-20 16:35 PDT, Bob Moss :bmoss
blassey.bugs: review+
Details | Diff | Splinter Review
Patch to fix calls to setForeground in android in the watcher service code (5.24 KB, patch)
2011-08-10 10:30 PDT, Bob Moss :bmoss
blassey.bugs: review+
Details | Diff | Splinter Review

Description Brad Lassey [:blassey] (use needinfo?) 2011-06-20 14:34:29 PDT
if your mozconfig specifies:
ac_add_options --with-android-sdk="<path to your sdk>/platforms/android-11"

the build will break when building the SUTAgent with:
symbol  : method setForeground(boolean)
location: class com.mozilla.SUTAgentAndroid.service.ASMozStub
        setForeground(true);
        ^
/home/vmuser/Android/MC-18-06-2011/build/mobile/sutagent/android/ASMozStub.java:213: cannot find symbol
symbol  : method setForeground(boolean)
location: class com.mozilla.SUTAgentAndroid.service.ASMozStub
        setForeground(false);
        ^
2 errors
make[6]: *** [classes.dex] Error 1
Comment 1 Bob Moss :bmoss 2011-06-20 16:35:51 PDT
Created attachment 540621 [details] [diff] [review]
Patch to fix calls to setForeground in android

This should resolve the undefined symbol issue.
Comment 2 Brad Lassey [:blassey] (use needinfo?) 2011-06-20 17:20:08 PDT
Comment on attachment 540621 [details] [diff] [review]
Patch to fix calls to setForeground in android

We use Log.e() to log errors in regular fennec code. Does Exception.printStackTrace() go the the android log? Or does it just get lost in stderr?
Comment 3 Bob Moss :bmoss 2011-06-20 17:22:23 PDT
Yes, I believe that it does go to the android log.
Comment 4 Brad Lassey [:blassey] (use needinfo?) 2011-08-09 22:11:56 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/a0f38e290e33
Comment 6 Bob Moss :bmoss 2011-08-10 10:30:57 PDT
Created attachment 552118 [details] [diff] [review]
Patch to fix calls to setForeground in android in the watcher service code

This patch will take care of the setForeground api call in the watcher module for SUTAgent.
Comment 7 Brad Lassey [:blassey] (use needinfo?) 2011-08-10 12:40:26 PDT
follow up patch on inbound
http://hg.mozilla.org/integration/mozilla-inbound/rev/d618c3a26cd4
Comment 8 Mounir Lamouri (:mounir) 2011-08-11 04:38:36 PDT
(In reply to Brad Lassey [:blassey][blassey@mozilla.com] from comment #7)
> follow up patch on inbound
> http://hg.mozilla.org/integration/mozilla-inbound/rev/d618c3a26cd4

and merged:
http://hg.mozilla.org/mozilla-central/rev/d618c3a26cd4

Note You need to log in before you can comment on or make changes to this bug.